<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<ng-container *ngLet="(loading$ | async) ?? false as loading">
  <div *ngIf="noContentType" class="flex items-center">
    <div class="text-text-300 font-semibold">No Payload</div>
    <p-button
      *ngIf="editMode"
      label="Edit"
      icon="pi pi-pencil"
      [link]="true"
      size="small"
      (click)="editPayload(loading)"
    ></p-button>
  </div>
  <div *ngIf="!noContentType" class="flex items-center">
    <div
      class="bg-white rounded-sm px-3 font-semibold py-3 text-text-500 flex items-center gap-2"
      [ngClass]="{ 'cursor-pointer': !loading && editMode, 'opacity-20': loading }"
      (click)="editPayload(loading)"
    >
      <i *ngIf="contentTypeIcon" [class]="contentTypeIcon"></i>
      <div>{{ contentType }}</div>
      <i
        *ngIf="editMode"
        class="pi"
        [ngClass]="{
          'pi-chevron-down': !loading,
          'pi-spin': loading,
          'pi-spinner': loading,
          'text-primary-500': loading
        }"
        style="font-size: 0.8rem"
      ></i>
    </div>
  </div>
</ng-container>
